<bugID>1048225<Summary>Search suggestion box doesn't follow the search bar when resizing the browser</Summary><Description>Created attachment 8467024
WrongPositionPanel.png

Reproducible on Nightly 34.0a1 20140803030203:
Mozilla/5.0 (X11; Linux i686; rv:34.0) Gecko/20100101 Firefox/34.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.9; rv:34.0) Gecko/20100101 Firefox/34.0
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:34.0) Gecko/20100101 Firefox/34.0

Steps to reproduce:
1. Open Firefox 
2. On about:home page enter some string in the search bar - search suggestions are displayed
3. Resize the browser, maximize it, enter full screen etc 
4. Repeat these steps on the about:newtab page

Actual results:
Search suggestion box is moved on the screen, it's position doesn't remain fixed to the search bar

Expected results:
Search suggestions box should either close when resizing the browser (such as Australis panel and icons), either stick to the search bar</Description></bugID>